function [Q, R] = GR(A)
%PRE:  A: reelle m x n - Matrix
%POST: Q: reelle m x n - Matrix
%      R: reelle n x n - Matrix
%DESC: Gram-Schmidt Verfahren um die 
%orthogonale Matrix Q und die obere Dreiecksmatrix R zu erhalten.
[m, n] = size(A);
Q = zeros([m, n]);
R = zeros([n, n]);
for j = 1 : m
    vj = A(:, j);
    for i = 1 : j
        R(i, j) = Q(:, i).' * A(:, j);
        vj      = vj - R(i, j) * Q(:, i);
    end
    R(j, j) = norm(vj);
    Q(:, j) = vj / R(j, j);
end
end