function [Q, R] = GRmod(A)
%PRE:  A: reelle m x n - Matrix
%POST: Q: reelle m x n - Matrix
%      R: reelle n x n - Matrix
%DESC: Modifiziertes Gram-Schmidt Verfahren um die 
%orthogonale Matrix Q und die obere Dreiecksmatrix R zu erhalten.
[m, n] = size(A);
Q = zeros([m, n]);
R = zeros([n, n]);
V = A;
for i = 1 : n
    R(i, i) = norm(V(:, i));
    Q(:, i) = V(:, i) / R(i, i);
    for j = i+1 : n
        R(i, j) = Q(:, i).' *  V(:, j);
        V(:, j) = V(:, j) - R(i, j) * Q(:, i);
    end 
end
end

